Bug 184427 - udev tries to contact LDAP server during boot
udev tries to contact LDAP server during boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-08 12:54 EST by Brandon Holbrook
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 05:47:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Holbrook 2006-03-08 12:54:15 EST
Description of problem:
During boot time, as udev is creating devices, if it comes across a device
without a GROUP= option, it attempts to assign it the group "nogroup".  Normally
this silently fails, as there is no "nogroup" entry in Fedora's stock /etc/group.

However, if in nsswitch.conf, "group" is set to "files ldap", udev will try to
use nss_ldap to contact the LDAP server to resolve "nogroup" to a GID.  Since
udev is started way before the network at boot time, it cannot contact the LDAP
server and you get several errors such as:

vol_id[972]: nss_ldap: failed to bind to LDAP server ldap://servername: Can't
contact LDAP server

Searching Google, I found Mandriva's (and IMO the best) solution was to add a
"nogroup" entry to the stock /etc/group (see link), although hacking udev to use
another default group name, or simply adding a GROUP= option to every record in
/etc/udev/rules.d/* may also fix the problem.

http://www.linuxfordummies.org/index.php?topic=378.msg617#msg617

Version-Release number of selected component (if applicable):
FC5test3

How reproducible:
Always

Steps to Reproduce:
1. Add "group = files ldap" to nsswitch.conf
2. Ensure there is no "nogroup" entry in /etc/group
3. Boot the system
  
Actual results:
Lots of nss_ldap errors as example above

Expected results:
udev starts silently and does not require network access.

Additional info:
Comment 1 Brandon Holbrook 2006-03-08 12:56:04 EST
I should also mention that adding a "nogroup" entry to /etc/group DOES fix the
entire problem.  I didn't explicitly mention that before.
Comment 2 Harald Hoyer 2006-03-08 13:10:00 EST
should be fixed with latest udev updates...

Note You need to log in before you can comment on or make changes to this bug.